# commandes-rsync

## Commandes de base

Copie intégralement le fichier ou le répertoire source et son contenu vers destination:
```
rsync -aDv /source /destination
```
Copie seulement le contenu du répertoire source dans destination:
```
rsync -aDv /source/ /destination
```
## Tableau des options

| Options | Actions |
| ------ | ------ |
| -r | visite récursive des répertoires |
| -l | copie les liens symboliques comme liens symboliques |
| -p | préserve les permissions |
| -t | préserve les dates|
| -g | préserve le groupe |
| -o | préserve le propriétaire (root uniquement) |
| -D | préserve les périphériques (root uniquement) |
| -a | mode archivage; identique à -rlptgoD (pas -H) |
| -v | de nombreuses informations sont affichées lors du transfert |
| -z | Compresse le fichier pour un meilleur transfert par le reseau |
| -delete | ATTENTION ! Si le fichier (ou son contenu) n'existe plus dans “source”, il sera supprimé dans “destination” |